ExclusiveArch: ppc ppc64
Summary: Utilities for the IBM Power Linux RAID adapters
Name: iprutils
Version: 2.2.6
Release: 4%{?dist}
License: CPL
Group: System Environment/Base
Source0: iprutils-%{version}-src.tgz

Patch0: iprutils-cflags.patch
Patch1: iprutils-initscripts.patch

URL: http://sourceforge.net/projects/iprdd/
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Obsoletes: ipr-utils
BuildRequires: libsysfs-devel
BuildRequires: pciutils-devel
BuildRequires: ncurses-devel
BuildRequires: libcap-devel

%description
Provides a suite of utilities to manage and configure SCSI devices
supported by the ipr SCSI storage device driver.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1 -b .initscripts

%build
CFLAGS=$RPM_OPT_FLAGS make

%install
rm -rf $RPM_BUILD_ROOT
make INSTALL_MOD_PATH=$RPM_BUILD_ROOT install
install -d $RPM_BUILD_ROOT/%{_sysconfdir}/rc.d/init.d
install -m 755 init.d/iprinit $RPM_BUILD_ROOT/%{_sysconfdir}/rc.d/init.d/iprinit
install -m 755 init.d/iprdump $RPM_BUILD_ROOT/%{_sysconfdir}/rc.d/init.d/iprdump
install -m 755 init.d/iprupdate $RPM_BUILD_ROOT/%{_sysconfdir}/rc.d/init.d/iprupdate

%post
/sbin/chkconfig --add iprdump
/sbin/chkconfig --add iprupdate
/sbin/chkconfig --add iprinit

%preun
/sbin/chkconfig --del iprdump
/sbin/chkconfig --del iprupdate
/sbin/chkconfig --del iprinit

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README LICENSE
/sbin/*
%{_mandir}/man*/*
%{_sysconfdir}/rc.d/init.d/*

%changelog
* Tue Aug 12 2008 Roman Rakus <rrakus@redhat.com> - 2.2.6-4
- Corrected init scripts #243682

* Mon Oct  1 2007 Jeremy Katz <katzj@redhat.com> - 2.2.6-3
- don't require redhat-lsb (#252343)

* Tue Aug 21 2007 David Cantrell <dcantrell@redhat.com> - 2.2.6-2
- Rebuild

* Thu May 17 2007 Paul Nasrat <pnasrat@redhat.com> - 2.2.6-1
- Update to latest upstream

* Thu Jul 13 2006 Paul Nasrat <pnasrat@redhat.com> - 2.1.5-1
- New upstream version

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.1.4-3.1
- rebuild

* Mon Jul 10 2006 Paul Nasrat <pnasrat@redhat.com> - 2.1.4-3
- Add redhat-lsb requires

* Mon Jul 10 2006 David Woodhouse <dwmw2@redhat.com> - 2.1.4-2
- Rebuild against new sysfsutils

* Mon Jun 26 2006 Paul Nasrat <pnasrat@redhat.com> - 2.1.4-1
- Update to 2.1.4

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.1.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.1.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 23 2005 Paul Nasrat <pnasrat@redhat.com> - 2.1.1-1
- Update to 2.1.1
- Use RPM_OPT_FLAGS

* Tue Aug 02 2005 Paul Nasrat <pnasrat@redhat.com> - 2.0.15.3-1
- update to 2.0.15.3-1

* Wed May 11 2005 Paul Nasrat <pnasrat@redhat.com> - 2.0.14.2-1
- update to 2.0.14.2 (#156934)

* Thu Feb 24 2005 Paul Nasrat <pnasrat@redhat.com> - 2.0.13.7-1
- Update to 2.0.13.7 (#144654)
- Project moved location to sourceforge

* Mon Jan 03 2005 Paul Nasrat <pnasrat@redhat.com> - 2.0.13.5-1
- Update to 2.0.13.5 (#143593)

* Wed Dec  8 2004 Jeremy Katz <katzj@redhat.com> - 2.0.13.4-2
- link dynamically to sysfsutils instead of statically (#142310)

* Wed Dec 08 2004 Paul Nasrat <pnasrat@redhat.com> 2.0.13.4-1
- update to 2.0.13.4 (#142164)

* Fri Dec  3 2004 Jeremy Katz <katzj@redhat.com> - 2.0.13.3-1
- update to 2.0.13.3 (#141707)

* Mon Nov 15 2004 Jeremy Katz <katzj@redhat.com> - 2.0.13.2-1
- update to 2.0.13.2 (#139083)
  - fix firmware upload for firmware in /lib instead of /usr/lib
  - fix sysfs race

* Wed Oct  6 2004 Jeremy Katz <katzj@redhat.com> - 2.0.13-1
- update to 2.0.13 (#128996)

* Tue Aug  3 2004 Jeremy Katz <katzj@redhat.com> - 2.0.12-1
- update to 2.0.12
- include a copy of libsysfs to build

* Tue Jun 15 2004 Jeremy Katz <katzj@redhat.com> - 1.0.7-1
- update to 1.0.7 (#125988)

* Tue May 11 2004 Jeremy Katz <katzj@redhat.com> - 1.0.5-3
- obsolete ipr-utils (old package name)

* Thu Mar 25 2004 Jeremy Katz <katzj@redhat.com> 1.0.5-2
- 1.0.5
- some spec file tweaks

* Tue Nov 25 2003 Brian King <brking@us.ibm.com> 1.0.3-2
- Fixed segmentation fault in iprupdate
